﻿Type=StaticCode
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.

Private Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

' Sets the transitionname for a View
Public Sub SetTransitionName(pView As View, pName As String)

	Dim jo As JavaObject
	
	jo.InitializeStatic("android.support.v4.view.ViewCompat")
	jo.RunMethod("setTransitionName", Array(pView, pName))

End Sub

'Start a new activity with the transition.
'
'TransitionView - The View that will translate to the new position in the target activity.
'TransitionName - Name of the transition.
'TargetActivity - Name of the target activity as String.
Public Sub StartActivityWithTransition(TransitionView As View, TransitionName As String, TargetActivity As String)
	Dim I As Intent
	Dim context As JavaObject
	Dim options As JavaObject
	
	I.Initialize("", "")
	I.SetComponent(Application.PackageName & "/." & TargetActivity.ToLowerCase)

	context.InitializeContext
	options.InitializeStatic("android.support.v4.app.ActivityOptionsCompat")
	options = options.RunMethod("makeSceneTransitionAnimation", Array(context, TransitionView, TransitionName))

	context.RunMethod("startActivity", Array(I, options.RunMethod("toBundle", Null)))
End Sub

'Resume a postponed transition. The transition can only be postponed in the _onCreate hook with inline Java code:
'
'#If JAVA
'Public void _onCreate() {
'   postponeEnterTransition();
'}
'#End If
Public Sub StartPostponedTransition
	Dim jo As JavaObject

	jo.InitializeContext
	jo.RunMethod("startPostponedEnterTransition", Null)
End Sub

'Finish the Activity with the transition
Public Sub FinishWithTransition
	Dim jo As JavaObject
	
	jo.InitializeContext
	jo.RunMethod("supportFinishAfterTransition", Null)
End Sub